###########################################################################
# Insert one TMS320C6722 CPU into JTAG chain
# with emulator as parent 
###########################################################################

set DEV0 [ xds add TMS320C6720 $EMU ]
set DEV1 [ xds add GENERIC $EMU ]
xds param $DEV1 generic.irbits 8
xds param $DEV1 generic.drbits 1

###########################################################################
# Select $DEV0 CPU as target device DEV, to which flash/EEPROM is connected
###########################################################################
set DEV $DEV0

###########################################################################
# CPU clock frequency
###########################################################################
set cpu_clock    10000000
set periph_clock 10000000


###########################################################################
# change this proc according to schematic of your
# board to initialize all of the environment of EEPROM/Flash
# for correct programming
###########################################################################
proc UserInitCPUEnv { dev } {

  upvar 1 flash_type flash_type

}

###########################################################################
# change this proc according to schematic of your
# board to reset all of the environment of EEPROM/Flash
# for normal operation after programming
###########################################################################
proc UserFinishCPUEnv { dev } {

  upvar 1 flash_type flash_type

}
